## clanlib 0.5.4

=== Documentation/Examples/CTalk/Makefile ===

EXAMPLE_BIN=     warning CTalk

include ../Makefile.conf

OBJF= \
      	Intermediate/canvas.o \
	Intermediate/canvas_view.o \
	Intermediate/chat_component.o \
	Intermediate/chat_view.o \
	Intermediate/ctalk.o \
	Intermediate/document.o \
	Intermediate/document_server.o \
	Intermediate/input_label.o \
	Intermediate/login_view.o \
	Intermediate/mainframe.o \
	Intermediate/sketch.o \
	Intermediate/userlist_component.o \
	Intermediate/view.o

warning:


CTalk: $(OBJF)
	$(CXX) $(OBJF) -o ctalk_example -lclanCore -lclanApp -lclanDisplay -lclanGUI -lclanNetwork

=== Documentation/Examples/ClanFTP/Makefile ===
all: clftp

clean:
	rm clftp main.o ftp.o

CFLAGS=-o -g3

LDFLAGS=-lclanCore -lclanNetwork -lclanApp

clftp: main.cpp ftp.cpp ftp.h
	$(CXX) -g3 -o clftp main.cpp ftp.cpp  $(LDFLAGS) -DDEBUG

main.o: main.cpp ftp.h
	$(CXX) -c -g3 main.cpp 
ftp.o: ftp.cpp ftp.h
	$(CXX) -c -g3 ftp.cpp

=== Documentation/Examples/EventTrigger/Makefile ===

all:	eventtest eventtest2

eventtest: eventtest.cpp
	g++ -o eventtest eventtest.cpp -lclanCore

eventtest2: eventtest2.cpp
	g++ -o eventtest2 eventtest.cpp -lclanCore

=== Documentation/Examples/GL/Makefile ===
EXAMPLE_BIN=    gl1 clanfog

include ../Makefile.conf

gl1: Intermediate/gl1.o
	$(CXX) -g3 -ggdb3 Intermediate/gl1.o -o gl1 -lclanGL -lclanApp -lclanDisplay

clanfog: Intermediate/clanfog.o
	$(CXX) -g Intermediate/clanfog.o -o clanfog -lclanGL -lclanApp -lclanDisplay

=== Documentation/Examples/GUITest/Makefile ===
EXAMPLE_BIN=dynamic

include ../Makefile.conf

TARGET = dynamic

DEBUGGER = medic
EDITOR = jcc
EDITOR_FILE = GUITest.jcc

current: $(TARGET)
	@echo
	@echo Note: This GUI is under development, and only one example
	@echo '      was built. To build all examples, do a "make all"'.


dynamic: Intermediate/dynamic.o
	$(CXX) -g Intermediate/dynamic.o -o dynamic -lclanGUI -lclanApp -lclanDisplay

labeltest: Intermediate/labeltest.o
	$(CXX) -g Intermediate/labeltest.o -o labeltest -lclanGUI -lclanApp

filedialogtest: Intermediate/filedialogtest.o
	$(CXX) -g Intermediate/filedialogtest.o -o filedialogtest -lclanGUI -lclanApp

buttontest: Intermediate/buttontest.o
	$(CXX) -g Intermediate/buttontest.o -o buttontest -lclanGUI -lclanApp

frametest: Intermediate/frametest.o
	$(CXX) -g Intermediate/frametest.o -o frametest -lclanGUI -lclanApp

listboxtest: Intermediate/listboxtest.o
	$(CXX) -g Intermediate/listboxtest.o -o listboxtest -lclanGUI -lclanApp

inputboxtest: Intermediate/inputboxtest.o
	$(CXX) -g Intermediate/inputboxtest.o -o inputboxtest -lclanGUI -lclanApp

menutest: Intermediate/menutest.o
	$(CXX) -g Intermediate/menutest.o -o menutest -lclanGUI -lclanApp

dialogtest: Intermediate/dialog.o
	$(CXX) -g Intermediate/dialog.o -o dialogtest -lclanGUI -lclanApp

run:
	./$(TARGET)

rundebug:
	$(DEBUGGER) ./$(TARGET)

edit:
	$(EDITOR) $(EDITOR_FILE) &

dep:
	@echo "  Building dependencies..."

	@find -name '*.cpp' | \
	sed "s/^.\///;" | \
	xargs $(CXX) -M | \
	sed "s/\(.*\.o:\)/Intermediate\/\1/g;" > Makefile.dep

#include Makefile.dep

=== Documentation/Examples/NetObjects/Makefile ===
EXAMPLE_BIN=netobjects

include ../Makefile.conf

VPATH = ./:Lobby:GUI

OBJF =	Intermediate/about_dialog.o \
	Intermediate/button_opengl.o \
	Intermediate/checkbox_opengl.o \
	Intermediate/client_fighter.o \
	Intermediate/client_gameobject.o \
	Intermediate/client_planet.o \
	Intermediate/client_world.o \
	Intermediate/client_wormhole.o \
	Intermediate/fighter.o \
	Intermediate/frame_opengl.o \
	Intermediate/gameobject.o \
	Intermediate/inputbox_opengl.o \
	Intermediate/intro.o \
	Intermediate/listbox_opengl.o \
	Intermediate/client_lobby.o \
	Intermediate/lobby_dialog.o \
	Intermediate/lobby_players.o \
	Intermediate/server_lobby.o \
	Intermediate/mainmenu.o \
	Intermediate/options.o \
	Intermediate/optionsmenu.o \
	Intermediate/netobjects.o \
	Intermediate/planet.o \
	Intermediate/player.o \
	Intermediate/players.o \
	Intermediate/scrollbar_opengl.o \
	Intermediate/server_world.o \
	Intermediate/sprite.o \
	Intermediate/spritedata.o \
	Intermediate/stylemanager_opengl.o \
	Intermediate/texture.o \
	Intermediate/window_opengl.o \
	Intermediate/world.o \
	Intermediate/wormhole.o


netobjects: $(OBJF)
	$(CXX) ${CXXFLAGS} $(OBJF) -o netobjects_demo -lclanCore -lclanApp -lclanDisplay -lclanNetwork -lclanSound -lclanGL -lclanGUI -lclanPNG -lclanJPEG

=== Documentation/Examples/ScreenShot/Makefile ===
# EXAMPLE_BIN= screenshot
# include ../Makefile.conf
# screenshot: Intermediate/screenshot.o
#	$(CXX) Intermediate/screenshoot.o -o screenshot -lclanCore -lclanApp -lclanDisplay

libs = -lclanApp -lclanCore -lclanDisplay -lclanPNG
cppflags = 

OBJF =	Intermediate/writepng.o \
		Intermediate/cl_writepng.o \
		Intermediate/screenshot.o

all: screenshot

screenshot:  $(OBJF)
	@echo "Building executable 'screenshot'..."
	$(CXX) $(libs) -o screenshot $(OBJF)

clean:
	@echo "Cleaning project"
	@find ./Intermediate -name '*.o' -exec rm "{}" \;
	@if [ -f ./screenshot ]; then rm -f ./screenshot; fi
	@if [ -f ./screenshot.png ]; then rm -f ./screenshot.png; fi

./Intermediate/%.o : %.cpp
	@echo "Compiling $<"
	-@if [ ! -d Intermediate ]; then mkdir Intermediate; fi
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -O3 -Wall $< -o $@

=== Documentation/Examples/ThreadSync/Makefile ===
all: message threadsync

message:
	@echo Compiling ThreadSync example

threadsync: Intermediate/tsync.o
	$(CXX) $(CPPFLAGS) $(LDFLAGS) Intermediate/tsync.o -o tsync -lclanCore -lclanApp

clean:
	@rm -Rf Intermediate
	@rm -f tsync

distclean: clean

Intermediate/%.o : %.cpp
	@echo "  Compiling $<..."
	@if [ ! -d Intermediate ]; then mkdir Intermediate; fi
	@gcc $(CPPFLAGS) $(LDFLAGS) -c $< -o $@

## clanlib 0.6.5

=== Sources/Lua/Makefile ===
all:
	#tolua -o clanbindings.cpp  clanbindings.pkg

=== Documentation/Examples/AlphaTest/Makefile ===
# AlphaTest

EXAMPLE_BIN=alphatest

include ../Makefile.conf

#the bin targets

alphatest: Intermediate/alphatest.o
	$(CXX) ${CXXFLAGS} Intermediate/alphatest.o -o alphatest -lclanCore -lclanApp -lclanJPEG -lclanDisplay

static: Intermediate/alphatest.o
	$(CXX) -static ${CXXFLAGS} Intermediate/alphatest.o -o alphatest -lclanApp -lclanJPEG -ljpeg -lclanDisplay -lclanCore $(LINK_STATIC)

=== Documentation/Examples/CTalk/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-EXAMPLE_BIN=     warning CTalk
+EXAMPLE_BIN=    CTalk
 
 include ../Makefile.conf
 
@@ -18,8 +18,5 @@
 	Intermediate/userlist_component.o \
 	Intermediate/view.o
 
-warning:
-
-
 CTalk: $(OBJF)
 	$(CXX) $(OBJF) -o ctalk_example -lclanCore -lclanApp -lclanDisplay -lclanGUI -lclanNetwork

=== Documentation/Examples/Canvas/Makefile ===
EXAMPLE_BIN=canvas

include ../Makefile.conf

canvas: Intermediate/canvas.o
	$(CXX) Intermediate/canvas.o -o canvas -lclanCore -lclanApp -lclanDisplay

static:  Intermediate/canvas.o
	$(CXX) -static Intermediate/canvas.o -o canvas -lclanApp -lclanDisplay -lclanCore $(LINK_STATIC)

=== Documentation/Examples/ClanFTP/Makefile ===
EXAMPLE_BIN=    clftp

include ../Makefile.conf


CFLAGS=-o -g3

LDFLAGS=-lclanCore -lclanNetwork -lclanApp

clftp: main.cpp ftp.cpp ftp.h
	$(CXX) -g3 -o clftp main.cpp ftp.cpp  $(LDFLAGS) -DDEBUG

=== Documentation/Examples/Compiler/Makefile ===

EXAMPLE_BIN=clan_compiler

include ../Makefile.conf

clan_compiler: Intermediate/clan_compiler.o
	$(CXX) ${CXXFLAGS} Intermediate/clan_compiler.o -o clan_compiler -lclanCore -lclanApp -lclanDisplay -lclanSound

static: Intermediate/clan_compiler.o
	$(CXX) -static ${CXXFLAGS} Intermediate/clan_compiler.o -o clan_compiler -lclanApp -lclanDisplay -lclanSound -lclanCore $(LINK_STATIC)

=== Documentation/Examples/Directory/Makefile ===
EXAMPLE_BIN=directory_test

include ../Makefile.conf

directory_test: directory_test.cpp
	@echo "  Compiling $<..."
	$(CXX) $< -o $@ -lclanCore -lclanJPEG -lclanApp -lclanDisplay

static: Intermediate/directory_test.o
	$(CXX) -static directory_test.cpp -o directory_test -lclanJPEG -lclanApp -lclanDisplay -lclanCore -ljpeg $(LINK_STATIC)

=== Documentation/Examples/EventTrigger/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
+EXAMPLE_BIN=    eventtest eventtest2
 
-all:	eventtest eventtest2
+include ../Makefile.conf
 
 eventtest: eventtest.cpp
 	g++ -o eventtest eventtest.cpp -lclanCore

=== Documentation/Examples/Example2D/Makefile ===

EXAMPLE_BIN=    example2d

include ../Makefile.conf

LIBS=../../../Libs

static: Intermediate/example2d.o
	$(CXX) ${CXXFLAGS} -static -g Intermediate/example2d.o -o example2d -lclanApp -lclanDisplay -lHermes -L/usr/X11R6/lib -lX11 -lXext -lXxf86vm -lclanCore -lz -lpthread 

example2d: Intermediate/example2d.o
	$(CXX) ${CXXFLAGS} -g Intermediate/example2d.o -o example2d -lclanApp -lclanDisplay -lpthread -lclanCore

=== Documentation/Examples/Font/Makefile ===
EXAMPLE_BIN= font

include ../Makefile.conf


font: Intermediate/font.o
	$(CXX) Intermediate/font.o -o font -lclanCore -lclanApp -lclanDisplay

#note: fontcanvas doesn't work properly yet
fontcanvas: Intermediate/fontcanvas.o
	@echo The fontcanvas example is KNOWN NOT TO WORK
	$(CXX) Intermediate/fontcanvas.o -o fontcanvas -lclanCore -lclanApp -lclanDisplay

static: Intermediate/font.o Intermediate/fontcanvas.o
	$(CXX) -static  Intermediate/font.o -o font -lclanApp -lclanDisplay -lclanCore $(LINK_STATIC)
	$(CXX) -static  Intermediate/fontcanvas.o -o fontcanvas -lclanApp -lclanDisplay -lclanCore $(LINK_STATIC)

=== Documentation/Examples/GL/Makefile ===
EXAMPLE_BIN=    gl1 clanfog

include ../Makefile.conf

gl1: Intermediate/gl1.o
	$(CXX) -g3 -ggdb3 Intermediate/gl1.o -o gl1 -lclanGL -lclanApp -lclanDisplay -ldl

clanfog: Intermediate/clanfog.o
	$(CXX) -g Intermediate/clanfog.o -o clanfog -lclanGL -lclanApp -lclanDisplay -ldl

=== Documentation/Examples/GLLineDemo/Makefile ===
EXAMPLE_BIN= gllinedemo

include ../Makefile.conf

gllinedemo: Intermediate/app.o Intermediate/line.o
	$(CXX) -g Intermediate/app.o Intermediate/line.o -o gllinedemo -ldl -lclanCore -lclanApp -lclanGL -lclanPNG -lclanDisplay

## clanlib 0.8.1

=== Examples/Basic2D/Makefile ===
EXAMPLE_BIN=basic2d
OBJF = basic2d.o
LIBS=clanApp clanDisplay clanCore clanGL

include ../Makefile.conf

basic2d_sdl :
	$(CXX) -DUSE_SDL $(CXXFLAGS) basic2d.cpp -o $@ `pkg-config --libs $(patsubst %,%-0.8,clanApp clanDisplay clanCore clanSDL)`

# EOF #

## clanlib 1.0~svn3827

=== Tests/Makefile ===
TESTS = \
Collision \
Disp2Test \
FontTest \
GfxBenchmark \
GUITest \
InputButtonTest \
InputTest \
ListBoxTest \
NetSessionsTest \
PrimitivesTest \
ProviderTest \
SocketTestClient \
SocketTestServer \
SpriteTest \
StateTreeTest \
TextStylerTest \
TextureSizeTest \
PointerTest \
NetworkTest \
StringTest

all: 
	@for i in $(TESTS); do \
          $(MAKE) -C $$i all; \
        done
	@echo ""
	@echo "The following examples where build: " 
	@for i in $(TESTS); do \
          echo "     "$$i; \
        done

clean:
	@for i in $(TESTS); do \
           $(MAKE) -C $$i clean; \
         done

# EOF #

=== Examples/AdventureScene/Makefile ===
EXAMPLE_BIN=adventurescene
OBJF = scene.o app.o player.o mask_object_extractor.o
LIBS=clanApp clanDisplay clanCore clanGL

include ../Makefile.conf

# EOF #

=== Examples/Basic2D/Makefile ===
EXAMPLE_BIN=basic2d
OBJF = basic2d.o
LIBS=clanApp clanDisplay clanCore clanGL

include ../Makefile.conf

basic2d_sdl :
	$(CXX) -DUSE_SDL $(CXXFLAGS) basic2d.cpp -o $@ `pkg-config --libs $(patsubst %,%-1.0,clanApp clanDisplay clanCore clanSDL)`

# EOF #

=== Examples/CTalk/Makefile ===
EXAMPLE_BIN=ctalk

OBJF=\
	application.o   \
	chatview.o      \
	chat.o          \
	dlg_connect.o   \
	document.o      \
	ircconnection.o \
	mainframe.o     \
	precomp.o       \
	view.o

LIBS=clanCore clanApp clanDisplay clanGUI clanNetwork clanGUIStyleSilver clanGL

include ../Makefile.conf

# EOF #

=== Examples/Canvas/Makefile ===
EXAMPLE_BIN=canvas
OBJF = canvas.o
LIBS=clanApp clanDisplay clanCore clanGL

include ../Makefile.conf

# EOF #

=== Examples/CommandLine/Makefile ===
EXAMPLE_BIN=commandline
OBJF=command_line.o
LIBS=clanCore

include ../Makefile.conf

# EOF #

=== Examples/Directory/Makefile ===
EXAMPLE_BIN=directory
OBJF=directory.o
LIBS=clanCore clanApp

include ../Makefile.conf

# EOF #

=== Examples/DisplayModes/Makefile ===
EXAMPLE_BIN=displaymodes
OBJF=displaymodes.o
LIBS=clanGUI clanApp clanDisplay clanCore clanGUIStyleSilver clanGL

include ../Makefile.conf

# EOF #

=== Examples/ExePath/Makefile ===
EXAMPLE_BIN=exepath
OBJF=exe_path.o
LIBS=clanCore

include ../Makefile.conf

# EOF #

=== Examples/Font/Makefile ===
EXAMPLE_BIN=font
OBJF = font.o
LIBS=clanCore clanApp clanDisplay clanGL

include ../Makefile.conf

# EOF #

=== Examples/GLCube/Makefile ===
EXAMPLE_BIN=glcube
OBJF=glcube.o
LIBS=clanGL clanApp clanDisplay clanCore

include ../Makefile.conf

# EOF #

=== Examples/GLFog/Makefile ===
EXAMPLE_BIN=glfog
OBJF=glfog.o
LIBS=clanGL clanApp clanDisplay clanCore

include ../Makefile.conf

# EOF #

=== debian/changelog ===
clanlib (1.0~svn3827-8) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Use debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.
  * wrap-and-sort -sa
  * Update homepage field and point to Github repository. The old clanlib.org
    website is gone.
  * Add remove-special-variable-perl-5.30.patch.
    Fix FTBFS and remove the occurrences of $* because the special variable $*
    is a fatal error in Perl 5.30. (Closes: #948740)

  [ Helmut Grohne ]
  * Let dh_auto_configure pass a multiarch --libdir to ./configure.
    (Closes: #911254)

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #886902)

 -- Markus Koschany <apo@debian.org>  Fri, 28 Feb 2020 23:46:18 +0100

clanlib (1.0~svn3827-7) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Fix "clanlib FTBFS with perl 5.26": add 450_unescaped_left_brace.patch to
    escape literal curly braces.
    Thanks to gregor herrmann for the patch. (Closes: #869383)
  * Drop libesd0-dev from Build-Depends. (Closes: #856076)

 -- Markus Koschany <apo@debian.org>  Wed, 26 Jul 2017 01:21:28 +0200

clanlib (1.0~svn3827-6) unstable; urgency=medium

  * Team upload.
  * Let std::make_pair() infer its type parameters. (Closes: #831082)

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 Aug 2016 09:54:17 +0200

clanlib (1.0~svn3827-5) unstable; urgency=medium

  * Team upload.
  * Migrate to git.
  * Acknowledge NMU, thanks Tobias! (Closes: #811017)
  * Apply Chris Lamb's patch to make the build reproducible. (Closes:
    #790357)
  * Switch to short dh rules, "3.0 (quilt)" source format and debhelper
    compatibility level 9. (Closes: #821971)
  * Remove references to the remote logo. (Closes: #796077)
  * Restrict the libasound2-dev build-dependency using linux-any. (Closes:
    #634700)
  * Build-depend on libmikmod-dev. (Closes: #744908)
  * Use dpkg-buildflags to set the flags (in particular, this gives useful
    debug packages).
  * Enable all hardening options.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Jun 2016 15:37:49 +0200

clanlib (1.0~svn3827-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for libpng1.6 (Closes: #649552)
  * Update B-D to libpng-dev. (Closes: #662288)

 -- Tobias Frost <tobi@debian.org>  Thu, 14 Jan 2016 21:16:16 +0100

clanlib (1.0~svn3827-4) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition. (Closes: #790999)

  [ Simon McVittie ]
  * Revert addition of lintian overrides for the v5 package names,
    which are not necessary with an up-to-date lintian.
  * Fix a stray instance of libclansdl-1.0 in debian/rules
  * Fix dangling symlinks /usr/share/doc/libclanlib-dev, .../libclansdl-1.0v5

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Aug 2015 09:40:10 +0100

clanlib (1.0~svn3827-3) unstable; urgency=low

  * Team upload.
  * Prepare for libjpeg8 transition. Thanks to Bill Allombert to point this
    out! (Closes: #633548)
    * No longer build-depend on libjpeg62-deb but libjpeg-dev
    * libclanlib-dev no longer recommends libjpeg62-dev but libjpeg-dev

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 13 Jul 2011 13:44:07 +0200

clanlib (1.0~svn3827-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add missing copyright holder to debian/copyright.
  * Clean up debian/copyright layout.
  * Upload to unstable.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 29 Sep 2009 21:45:33 -0400

clanlib (1.0~svn3827-1) experimental; urgency=low

  [ Barry deFreese ]
  * New upstream release. (Taken from upstream svn).
    + Remove patches no longer needed.
    + Refresh old patches.
    + Use autotools on build instead of rebootstrap patch.
    + Rename binary packages for SONAME bump.
  * Add README.source file for quilt.
  * Bump Standards Version to 3.8.3. (No changes needed).

  [ Christoph Egger ]
  * Fix missing includes when building with gcc 4.4 (Closes: #528942)
    Thanks to Martin Michlmayr for the patch

 -- Barry deFreese <bdefreese@debian.org>  Wed, 23 Sep 2009 13:37:09 -0400

clanlib (0.8.1-2) unstable; urgency=low

  [ Christoph Egger ]
  * Fixing Lintian Error about obsolete package.

  [ Barry deFreese ]
  * Update my e-mail address.
  * Remove build-dep and suggests for hermes1. (Closes: #513951).
  * Add ${misc:Depends} for debhelper package.
  * Remove duplicate Sections in control.
  * Remove first person verbage from package description.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 15 May 2009 16:40:36 -0400

clanlib (0.8.1-1) unstable; urgency=low

  [ Sam Hocevar ]
  * New upstream release (Closes: #188449, #299524, #383972).
    + Clanlib no longer ships lua. (Closes: #467577, #467578).
      + Removed all lua build-deps and deps.
  * Set maintainer to the Games team (Closes: #414533).
  * Use quilt for patch management.
  * debian/control:
    + Merged clanlib-examples into clanlib-doc.
    + Got rid of all libclanlib* modules. Now we only have libclanapp-0.8-1
      and libclansdl-0.8-1. There is no longer an fbdev output (but it can
      be activated through SDL), hence fbdev bugs are no longer relevant
      (Closes: #60031).
  * debian/scripts:
    + Got rid of the cruft in there, quilt does everything far better. We get
      rid of the bashisms at the same time (Closes: #372272).
  * debian/compat:
    + Set compat to 5.
  * debian/copyright:
    + Added list of copyright holders and fixed license.
  * debian/patches/005_am_maintainer_mode.diff:
    + Set AM_MAINTAINER_MODE.
  * debian/patches/300_rebootstrap.diff:
    + Rebootstrap package.

  [ Barry deFreese ]
  * Add watch file.
  * Add Homepage field in control.
  * Make distclean not ignore errors.


=== debian/control ===
Source: clanlib
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar <sho@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Section: libs
Priority: optional
Build-Depends:
 bzip2,
 debhelper-compat (= 12),
 libasound2-dev [linux-any],
 libfreetype6-dev,
 libglu1-mesa-dev | libgl-dev,
 libjpeg-dev,
 libmikmod-dev,
 libpng-dev,
 libsdl-gfx1.2-dev,
 libsdl1.2-dev,
 libvorbis-dev,
 libxi-dev,
 libxmu-dev,
 libxt-dev,
 libxxf86vm-dev,
 pkg-config,
 xsltproc,
 zlib1g-dev
Build-Conflicts:
 libutahglx-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/games-team/clanlib
Vcs-Git: https://salsa.debian.org/games-team/clanlib.git
Homepage: https://github.com/sphair/ClanLib

Package: libclanapp-1.0v5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclanapp-1.0
Replaces:
 libclanapp-1.0
Description: ClanLib game SDK runtime
 ClanLib is a multi-platform software development kit, with an emphasis on
 game development.
 .
 On one side, it tries to provide a platform independent interface to
 write games with, by taking over the low-level work from the game and
 providing wrappers around toolkits such as DirectFB, DirectX, OpenGL,
 Vorbis, X11, etc., so that if a game is written with ClanLib, the game
 should compile on any platform supported by ClanLib without changing
 its source code.
 .
 On the other hand, ClanLib also tries to be a service-minded SDK.
 In other words, the developers have put great effort into designing
 the API, to ensure ClanLib's ease of use - while maintaining its power.
 .
 This is the runtime part of the ClanLib SDK, needed to run applications
 built with it.

Package: libclansdl-1.0v5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclansdl-1.0
Replaces:
 libclansdl-1.0
Description: SDL module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, great effort has been put into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the SDL module (clanSDL).

Package: libclanlib-dev
Architecture: any
Section: libdevel
Depends:
 libclanapp-1.0v5 (= ${binary:Version}),
 libclansdl-1.0v5 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 libfreetype6-dev,
 libglu1-mesa-dev | xlibmesa-dev | libgl-dev,
 libjpeg-dev,
 libmikmod-dev,
 libpng-dev,
 libvorbis-dev
Suggests:
 clanlib-doc
Conflicts:
 clanlib-dev,
 clanlib0-common,
 clanlib2 (<< 0.6.1-1-3),
 libutahglx-dev
Provides:
 clanlib-dev
Replaces:
 clanlib-dev
Description: ClanLib game SDK development files
 ClanLib is a multi-platform software development kit, with an emphasis on
 game development.
 .
 On one side, it tries to provide a platform independent interface to
 write games with, by taking over the low-level work from the game and
 providing wrappers around toolkits such as DirectFB, DirectX, OpenGL,
 Vorbis, X11, etc., so that if a game is written with ClanLib, the game
 should compile on any platform supported by ClanLib without changing
 its source code.
 .
 On the other hand, ClanLib also tries to be a service-minded SDK.
 In other words, the developers have put great effort into designing
 the API, to ensure ClanLib's ease of use - while maintaining its power.
 .
 This is the development part of the ClanLib SDK, which is needed to build
 applications with it.

Package: clanlib-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Conflicts:
 clanlib-examples (<< 0.8.0-1),
 clanlib0-docs
Replaces:
 clanlib-examples (<< 0.8.0-1)
Description: Reference documentation and tutorials for ClanLib
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, great effort has been put into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains html documentation for the ClanLib API and some
 tutorials to ease the learning curve for programming with it.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)

ifeq ($(DEB_HOST_ARCH),i386)
	use_asm386=yes
else
	use_asm386=no
endif

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -fPIC -DDEBUG=1
ifneq (,$(findstring functions,$(CLAN_BUILD_OPTIONS)))
	CFLAGS += -ffunction-sections
endif
ifneq (,$(findstring "/$(DEB_HOST_ARCH)/","/hppa/mipsel/powerpc/"))
	CFLAGS += -ffunction-sections
endif
CXXFLAGS := $(CFLAGS)

CONFIG_FLAGS	:= \
	--enable-x11 --disable-directfb --enable-opengl --enable-png  \
	--enable-clansound --enable-lua --enable-network --enable-dyn \
	--enable-vidmode --disable-smalljpeg --disable-debug          \
	--enable-asm386=$(use_asm386)                                 \
	--x-includes=/usr/include/X11

%:
	dh $@

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" dh_auto_configure -- $(CONFIG_FLAGS)

override_dh_auto_clean:
	dh_auto_clean
	rm -f build-stamp configure-stamp
	rm -f config.sub config.guess ltmain.sh configure
	rm -f missing depcomp install-sh aclocal.m4
	find ./ -name Makefile.in -and -not -path './Examples/Makefile.in' -delete
	rm -f Documentation/*.html
	rm -f Documentation/Tutorial/*.html
	rm -f Documentation/Tutorial/Kavanek/*.html

override_dh_installdocs-arch:
	dh_installdocs --link-doc=libclanapp-1.0v5

override_dh_installexamples-indep:
	dh_installexamples -pclanlib-doc Examples/*

=== debian/watch ===
version=3

http://www.clanlib.org/download/releases-0.8/ClanLib-([\d.]+)\.tgz
